# $Revision: 1.15 $, $Date: 2004/04/26 07:21:11 $
Summary:	Borland CONIO library port for Unix
Summary(pl):	Port biblioteki Borland CONIO dla Unixa
Name:		UConio
Version:	1.0.9
Release:	3
License:	GPL
Group:		Libraries
Source0:	http://crazylovetrain.hypermart.net/files/uconio/%{name}-%{version}-PR.tar.gz
# Source0-md5:	08a6caac1daa6ab4cd27804ce99a79c5
Patch0:		%{name}-make.patch
Patch1:		%{name}-va_end.patch
URL:		http://crazylovetrain.hypermart.net/projects.htm
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%ifarch ppc
%define		optflags	-O0
%endif

%description
UConio is a Unix port of the Borland Console Input/Output Library
(CONIO) for DOS, and includes some new features of its own.

%description -l pl
UConio jest Uniksowym portem biblioteki Borland Console Input/Output
(CONIO) dla DOS-a, zawiera te troch dodanych, nowych funkcji.

%package devel
Summary:	Header files and development documentation for UConio
Summary(pl):	Pliki nagwkowe i dokumentacja do UConio
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files and development documentation for UConio.

%description devel -l pl
Pliki nagwkowe i dokumentacja do UConio.

%prep
%setup -q -n %{name}-%{version}-PR
%patch0 -p1
%patch1 -p0

bzip2 -d man/*.bz2

%build
%{__make} "CFLAGS=%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_mandir}/man3,%{_includedir}}

install	bin/libuconio.so.* $RPM_BUILD_ROOT%{_libdir}
install include/*.h $RPM_BUILD_ROOT%{_includedir}
install	man/*.3 $RPM_BUILD_ROOT%{_mandir}/man3

(cd $RPM_BUILD_ROOT%{_libdir}; ln -s libuconio.so.* libuconio.so)

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc doc/{AUTHOR,BUGS,ChangeLog,HELPERS,README}
%attr(755,root,root) %{_libdir}/lib*.so.*

%files devel
%defattr(644,root,root,755)
%doc tutorial/txt/*.txt
%attr(755,root,root) %{_libdir}/lib*.so
%{_mandir}/man3/*
%{_includedir}/*.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: UConio.spec,v $
Revision 1.15  2004/04/26 07:21:11  adamg
- release 3 for Ac (2 is for Ra)

Revision 1.14  2003/08/13 22:52:22  ankry
- description fixes / unification

Revision 1.13  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.12  2003/05/25 05:45:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/03/08 13:44:33  radek
- added -va_end.patch (how did it ever compiled without it?  can sb. take a look?)

Revision 1.10  2002/08/05 17:28:20  kloczek
- cosmetics.

Revision 1.9  2002/08/05 17:08:51  mmazur
- proper ppc workaround... STBR anyone?

Revision 1.8  2002/08/05 14:25:08  mmazur
- the one true way for this workaround

Revision 1.7  2002/08/05 13:19:24  mmazur
- nasty workaround for stupid gcc2

Revision 1.6  2002/08/03 23:35:19  mmazur
- use new %doc
- fixed building on ppc; rel2; STBR
- forcing buildflags is fucking SICK... SICK! SICK!! SICK!!! you hear me?
  SIIIIIIIIIIIIICK!!!!!!!! authors should know better than we do

Revision 1.5  2002/02/22 23:28:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:12:14  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/10/31 09:35:34  qboosh
- adapterized, fixed typos

Revision 1.2  2001/05/17 22:18:30  kloczek
- cosmetics.

Revision 1.1  2001/05/17 12:42:26  misiek
initial pld release
